stages:
  - compile
  - deploy

before_script:
  - export K_RELEASE_FOLDER=esri_release/
  - export K_REGION=us-west-1
  - export K_BUCKET_ALPHA=configurator.alpha.katerra.com
  - export K_BUCKET_BETA=configurator.katerraapi.com
  - export K_BUCKET_STAGING=configurator-staging.alpha.katerra.com


compile:
  image: registry.gitlab.com/katerrainc/containers/npm:latest
  stage: compile
  only:
    - master
    - release
    - staging
  script:
    - npm install --unsafe-perm
    - cd ./siteReflector
    - npm install --unsafe-perm
    - npm run build
    - cd -
    - npm run build
  artifacts:
    paths:
      - esri_release/
    expire_in: 1 week
